import React, { FC, PropsWithChildren } from 'react';
import { ChakraProvider } from '@chakra-ui/react';

import { default as landingTheme } from './theme-config';
import Fonts from './Fonts';

export const LandingThemeProvider: FC<PropsWithChildren> = ({ children }) => {
  return (
    <ChakraProvider theme={landingTheme}>
      <Fonts />
      {children}
    </ChakraProvider>
  );
};
